%global apiversion 0.0

Summary: A library for import of Zoner document formats
Name: libzmf
Version: 0.0.2
Release: 7%{?dist}
License: MPL-2.0
URL: http://wiki.documentfoundation.org/DLP/Libraries/libzmf
Source0: http://dev-www.libreoffice.org/src/%{name}/%{name}-%{version}.tar.xz

BuildRequires: boost-devel gcc-c++ make
BuildRequires: doxygen help2man
BuildRequires: pkgconfig(cppunit) pkgconfig(icu-uc)
BuildRequires: pkgconfig(librevenge-0.0) pkgconfig(librevenge-generators-0.0)
BuildRequires: pkgconfig(librevenge-stream-0.0) pkgconfig(libpng) pkgconfig(zlib)

%description
Libzmf is a library that parses the file format of Zoner Callisto/Draw
documents. Currently it only understands documents created by Zoner Draw
version 4 and 5.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
This package provides docs, libraries and header files for
developing applications that use %{name}.

%package tools
Summary: Tools to transform Zoner documents into other formats
Requires: %{name} = %{version}-%{release}

%description tools
Tools to transform Zoner documents into other formats.
Currently supported: SVG, raw.

%prep
%autosetup

%build
%configure --disable-silent-rules --disable-static --disable-werror
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make_build

%install
%make_install

export LD_LIBRARY_PATH=%{buildroot}/%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
for tool in zmf2raw zmf2svg; do
    help2man -N -S '%{name} %{version}' -o ${tool}.1 %{buildroot}%{_bindir}/${tool}
done
install -m0755 -d %{buildroot}/%{_mandir}/man1
install -m0644 zmf2*.1 %{buildroot}/%{_mandir}/man1

rm -f %{buildroot}/%{_libdir}/*.la
rm -rf %{buildroot}/%{_docdir}/%{name}

%check
export LD_LIBRARY_PATH=%{buildroot}/%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
%make_build check

%files
%license COPYING
%doc AUTHORS NEWS
%{_libdir}/%{name}-%{apiversion}.so.*

%files devel
%doc ChangeLog
%doc docs/doxygen/html
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files tools
%{_bindir}/zmf2raw
%{_bindir}/zmf2svg
%{_mandir}/man1/zmf2raw.1*
%{_mandir}/man1/zmf2svg.1*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.2-7
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 23 2023 rockerzhu <rockerzhu@tencent.com> - 0.0.2-6
- Rebuilt for icu 73.2

* Tue Aug 22 2023 kianli@tencent.com - 0.0.2-5
- Rebuilt for librevenge 0.0.5

* Tue Aug 01 2023 rockerzhu rockerzhu@tencent.com - 0.0.2-4
- Rebuilt for boost 1.82.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.2-2
- Rebuilt for OpenCloudOS Stream 23

* Sat Nov 26 2022 cunshunxia <cunshunxia@tencent.com> - 0.0.2-1
- initial build
